#include "PeSplashBlade.h"

PeSplashBlade::PeSplashBlade()
{
	type = 3;
	ani.png = L"pe_effect_obj";
	ani.sprite_index = L"splash_blade";
}

void PeSplashBlade::Step()
{
	//³ÖÐøÊ±¼ä
	if (ani.image_index == 1)
		attackState = false;
	else if (ani.image_index == 3)
		Destroy();
}

void SetPeSplashBlade(std::shared_ptr<Entity> parent, float x, float y)
{
	auto e = std::make_shared<PeSplashBlade>();
	e->x = x;
	e->y = y;
	parent->gameFunc->SetEntity(parent, e);
}
